import java.io.File;
import java.io.FileNotFoundException;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Scanner;

import static java.lang.Character.isLowerCase;
import static java.lang.Character.isUpperCase;
import static java.lang.Character.toLowerCase;

public class ROT13 {

    private int shift;

    ROT13(Character cs, Character cf) {
        this.shift = cs - cf;
    }

    ROT13() {

    }


    public static String crypt(String text) throws UnsupportedOperationException {
        char[] array = text.toCharArray();
        StringBuilder string = new StringBuilder();

        for (char x : array) {
            char y = x;
            if ((y >= 'a' && y <= 'm') || (y >= 'A' && y <= 'M')) {
                y += 13;

            } else if ((y >= 'n' && y <= 'z') || (y >= 'M' && y <= 'Z')) {
                y -= 13;
            }
            string.append(y);
        }
        return string.toString();
    }


    public static String encrypt(String text) {
        return crypt(text);
    }

    public String decrypt(String text) {
        return crypt(text);
    }

    public static String rotate(String s, Character c) {
        String string = s.substring(0,s.indexOf(c));
             String string1 = s.substring(s.indexOf(c));
             return string1.concat(string);
    }

    public static String textFile(String filename){
        StringBuilder string = new StringBuilder();

        File file = new File(filename);
        try(Scanner sc = new Scanner(file)){
            while (sc.hasNextLine()){
                String line = sc.nextLine();
                String xored = encrypt(line);
                string.append(xored + ("\n"));
            }
            string.deleteCharAt(string.length()-1);
        }catch(FileNotFoundException e){
            e.printStackTrace();
        }return string.toString();
    }

}
